blaze-html-0.9.0.1: A blazingly fast HTML combinator library for Haskell

Safe Haskell | None
Language | Haskell98

Text.Blaze.XHtml1.Transitional.Attributes

Description

This module exports combinators that provide you with the ability to set attributes on HTML elements.

Synopsis

- abbr :: AttributeValue -> Attribute
- accept :: AttributeValue -> Attribute
- accesskey :: AttributeValue -> Attribute
- action :: AttributeValue -> Attribute
- align :: AttributeValue -> Attribute
- alt :: AttributeValue -> Attribute
- archive :: AttributeValue -> Attribute
- axis :: AttributeValue -> Attribute
- background :: AttributeValue -> Attribute
- bgcolor :: AttributeValue -> Attribute
- border :: AttributeValue -> Attribute
- cellpadding :: AttributeValue -> Attribute
- cellspacing :: AttributeValue -> Attribute
- char :: AttributeValue -> Attribute
- charoff :: AttributeValue -> Attribute
- charset :: AttributeValue -> Attribute
- checked :: AttributeValue -> Attribute
- cite :: AttributeValue -> Attribute
- class_ :: AttributeValue -> Attribute
- classid :: AttributeValue -> Attribute
- clear :: AttributeValue -> Attribute
- codebase :: AttributeValue -> Attribute
- codetype :: AttributeValue -> Attribute
- cols :: AttributeValue -> Attribute
- colspan :: AttributeValue -> Attribute
- compact :: AttributeValue -> Attribute
- content :: AttributeValue -> Attribute
- coords :: AttributeValue -> Attribute
- data_ :: AttributeValue -> Attribute
- datetime :: AttributeValue -> Attribute
- declare :: AttributeValue -> Attribute
- defer :: AttributeValue -> Attribute
- dir :: AttributeValue -> Attribute
- disabled :: AttributeValue -> Attribute
- enctype :: AttributeValue -> Attribute
- for :: AttributeValue -> Attribute
- frame :: AttributeValue -> Attribute
- headers :: AttributeValue -> Attribute
- height :: AttributeValue -> Attribute
- href :: AttributeValue -> Attribute
- hreflang :: AttributeValue -> Attribute
- hspace :: AttributeValue -> Attribute
- httpEquiv :: AttributeValue -> Attribute
- id :: AttributeValue -> Attribute
- label :: AttributeValue -> Attribute
- lang :: AttributeValue -> Attribute
- language :: AttributeValue -> Attribute
- maxlength :: AttributeValue -> Attribute
- media :: AttributeValue -> Attribute
- method :: AttributeValue -> Attribute
- multiple :: AttributeValue -> Attribute
- name :: AttributeValue -> Attribute
- nohref :: AttributeValue -> Attribute
- noshade :: AttributeValue -> Attribute
- nowrap :: AttributeValue -> Attribute
- onabort :: AttributeValue -> Attribute
- onblur :: AttributeValue -> Attribute
- onchange :: AttributeValue -> Attribute
- onclick :: AttributeValue -> Attribute
- ondblclick :: AttributeValue -> Attribute
- onfocus :: AttributeValue -> Attribute
- onkeydown :: AttributeValue -> Attribute
- onkeypress :: AttributeValue -> Attribute
- onkeyup :: AttributeValue -> Attribute
- onload :: AttributeValue -> Attribute
- onmousedown :: AttributeValue -> Attribute
- onmousemove :: AttributeValue -> Attribute
- onmouseout :: AttributeValue -> Attribute
- onmouseover :: AttributeValue -> Attribute
- onmouseup :: AttributeValue -> Attribute
- onreset :: AttributeValue -> Attribute
- onselect :: AttributeValue -> Attribute
- onsubmit :: AttributeValue -> Attribute
- onunload :: AttributeValue -> Attribute
- profile :: AttributeValue -> Attribute
- readonly :: AttributeValue -> Attribute
- rel :: AttributeValue -> Attribute
- rev :: AttributeValue -> Attribute
- rows :: AttributeValue -> Attribute
- rowspan :: AttributeValue -> Attribute
- rules :: AttributeValue -> Attribute
- scheme :: AttributeValue -> Attribute
- scope :: AttributeValue -> Attribute
- selected :: AttributeValue -> Attribute
- shape :: AttributeValue -> Attribute
- size :: AttributeValue -> Attribute
- span :: AttributeValue -> Attribute
- src :: AttributeValue -> Attribute
- standby :: AttributeValue -> Attribute
- start :: AttributeValue -> Attribute
- style :: AttributeValue -> Attribute
- summary :: AttributeValue -> Attribute
- tabindex :: AttributeValue -> Attribute
- target :: AttributeValue -> Attribute
- title :: AttributeValue -> Attribute
- type_ :: AttributeValue -> Attribute
- usemap :: AttributeValue -> Attribute
- valign :: AttributeValue -> Attribute
- value :: AttributeValue -> Attribute
- valuetype :: AttributeValue -> Attribute
- vspace :: AttributeValue -> Attribute
- width :: AttributeValue -> Attribute

# Documentation

abbr Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `abbr` attribute.

Example:

    div ! abbr "bar" $ "Hello."

Result:

    <div abbr="bar">Hello.</div>

accept Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `accept` attribute.

Example:

    div ! accept "bar" $ "Hello."

Result:

    <div accept="bar">Hello.</div>

accesskey Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `accesskey` attribute.

Example:

    div ! accesskey "bar" $ "Hello."

Result:

    <div accesskey="bar">Hello.</div>

action Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `action` attribute.

Example:

    div ! action "bar" $ "Hello."

Result:

    <div action="bar">Hello.</div>

align Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `align` attribute.

Example:

    div ! align "bar" $ "Hello."

Result:

    <div align="bar">Hello.</div>

alt Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `alt` attribute.

Example:

    div ! alt "bar" $ "Hello."

Result:

    <div alt="bar">Hello.</div>

archive Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `archive` attribute.

Example:

    div ! archive "bar" $ "Hello."

Result:

    <div archive="bar">Hello.</div>

axis Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `axis` attribute.

Example:

    div ! axis "bar" $ "Hello."

Result:

    <div axis="bar">Hello.</div>

background Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `background` attribute.

Example:

    div ! background "bar" $ "Hello."

Result:

    <div background="bar">Hello.</div>

bgcolor Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `bgcolor` attribute.

Example:

    div ! bgcolor "bar" $ "Hello."

Result:

    <div bgcolor="bar">Hello.</div>

border Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `border` attribute.

Example:

    div ! border "bar" $ "Hello."

Result:

    <div border="bar">Hello.</div>

cellpadding Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `cellpadding` attribute.

Example:

    div ! cellpadding "bar" $ "Hello."

Result:

    <div cellpadding="bar">Hello.</div>

cellspacing Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `cellspacing` attribute.

Example:

    div ! cellspacing "bar" $ "Hello."

Result:

    <div cellspacing="bar">Hello.</div>

char Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `char` attribute.

Example:

    div ! char "bar" $ "Hello."

Result:

    <div char="bar">Hello.</div>

charoff Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `charoff` attribute.

Example:

    div ! charoff "bar" $ "Hello."

Result:

    <div charoff="bar">Hello.</div>

charset Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `charset` attribute.

Example:

    div ! charset "bar" $ "Hello."

Result:

    <div charset="bar">Hello.</div>

checked Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `checked` attribute.

Example:

    div ! checked "bar" $ "Hello."

Result:

    <div checked="bar">Hello.</div>

cite Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `cite` attribute.

Example:

    div ! cite "bar" $ "Hello."

Result:

    <div cite="bar">Hello.</div>

class_ Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `class` attribute.

Example:

    div ! class_ "bar" $ "Hello."

Result:

    <div class="bar">Hello.</div>

classid Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `classid` attribute.

Example:

    div ! classid "bar" $ "Hello."

Result:

    <div classid="bar">Hello.</div>

clear Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `clear` attribute.

Example:

    div ! clear "bar" $ "Hello."

Result:

    <div clear="bar">Hello.</div>

codebase Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `codebase` attribute.

Example:

    div ! codebase "bar" $ "Hello."

Result:

    <div codebase="bar">Hello.</div>

codetype Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `codetype` attribute.

Example:

    div ! codetype "bar" $ "Hello."

Result:

    <div codetype="bar">Hello.</div>

cols Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `cols` attribute.

Example:

    div ! cols "bar" $ "Hello."

Result:

    <div cols="bar">Hello.</div>

colspan Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `colspan` attribute.

Example:

    div ! colspan "bar" $ "Hello."

Result:

    <div colspan="bar">Hello.</div>

compact Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `compact` attribute.

Example:

    div ! compact "bar" $ "Hello."

Result:

    <div compact="bar">Hello.</div>

content Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `content` attribute.

Example:

    div ! content "bar" $ "Hello."

Result:

    <div content="bar">Hello.</div>

coords Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `coords` attribute.

Example:

    div ! coords "bar" $ "Hello."

Result:

    <div coords="bar">Hello.</div>

data_ Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `data` attribute.

Example:

    div ! data_ "bar" $ "Hello."

Result:

    <div data="bar">Hello.</div>

datetime Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `datetime` attribute.

Example:

    div ! datetime "bar" $ "Hello."

Result:

    <div datetime="bar">Hello.</div>

declare Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `declare` attribute.

Example:

    div ! declare "bar" $ "Hello."

Result:

    <div declare="bar">Hello.</div>

defer Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `defer` attribute.

Example:

    div ! defer "bar" $ "Hello."

Result:

    <div defer="bar">Hello.</div>

dir Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `dir` attribute.

Example:

    div ! dir "bar" $ "Hello."

Result:

    <div dir="bar">Hello.</div>

disabled Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `disabled` attribute.

Example:

    div ! disabled "bar" $ "Hello."

Result:

    <div disabled="bar">Hello.</div>

enctype Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `enctype` attribute.

Example:

    div ! enctype "bar" $ "Hello."

Result:

    <div enctype="bar">Hello.</div>

for Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `for` attribute.

Example:

    div ! for "bar" $ "Hello."

Result:

    <div for="bar">Hello.</div>

frame Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `frame` attribute.

Example:

    div ! frame "bar" $ "Hello."

Result:

    <div frame="bar">Hello.</div>

headers Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `headers` attribute.

Example:

    div ! headers "bar" $ "Hello."

Result:

    <div headers="bar">Hello.</div>

height Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `height` attribute.

Example:

    div ! height "bar" $ "Hello."

Result:

    <div height="bar">Hello.</div>

href Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `href` attribute.

Example:

    div ! href "bar" $ "Hello."

Result:

    <div href="bar">Hello.</div>

hreflang Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `hreflang` attribute.

Example:

    div ! hreflang "bar" $ "Hello."

Result:

    <div hreflang="bar">Hello.</div>

hspace Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `hspace` attribute.

Example:

    div ! hspace "bar" $ "Hello."

Result:

    <div hspace="bar">Hello.</div>

httpEquiv Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `http-equiv` attribute.

Example:

    div ! httpEquiv "bar" $ "Hello."

Result:

    <div http-equiv="bar">Hello.</div>

id Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `id` attribute.

Example:

    div ! id "bar" $ "Hello."

Result:

    <div id="bar">Hello.</div>

label Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `label` attribute.

Example:

    div ! label "bar" $ "Hello."

Result:

    <div label="bar">Hello.</div>

lang Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `lang` attribute.

Example:

    div ! lang "bar" $ "Hello."

Result:

    <div lang="bar">Hello.</div>

language Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `language` attribute.

Example:

    div ! language "bar" $ "Hello."

Result:

    <div language="bar">Hello.</div>

maxlength Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `maxlength` attribute.

Example:

    div ! maxlength "bar" $ "Hello."

Result:

    <div maxlength="bar">Hello.</div>

media Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `media` attribute.

Example:

    div ! media "bar" $ "Hello."

Result:

    <div media="bar">Hello.</div>

method Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `method` attribute.

Example:

    div ! method "bar" $ "Hello."

Result:

    <div method="bar">Hello.</div>

multiple Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `multiple` attribute.

Example:

    div ! multiple "bar" $ "Hello."

Result:

    <div multiple="bar">Hello.</div>

name Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `name` attribute.

Example:

    div ! name "bar" $ "Hello."

Result:

    <div name="bar">Hello.</div>

nohref Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `nohref` attribute.

Example:

    div ! nohref "bar" $ "Hello."

Result:

    <div nohref="bar">Hello.</div>

noshade Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `noshade` attribute.

Example:

    div ! noshade "bar" $ "Hello."

Result:

    <div noshade="bar">Hello.</div>

nowrap Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `nowrap` attribute.

Example:

    div ! nowrap "bar" $ "Hello."

Result:

    <div nowrap="bar">Hello.</div>

onabort Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onabort` attribute.

Example:

    div ! onabort "bar" $ "Hello."

Result:

    <div onabort="bar">Hello.</div>

onblur Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onblur` attribute.

Example:

    div ! onblur "bar" $ "Hello."

Result:

    <div onblur="bar">Hello.</div>

onchange Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onchange` attribute.

Example:

    div ! onchange "bar" $ "Hello."

Result:

    <div onchange="bar">Hello.</div>

onclick Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onclick` attribute.

Example:

    div ! onclick "bar" $ "Hello."

Result:

    <div onclick="bar">Hello.</div>

ondblclick Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `ondblclick` attribute.

Example:

    div ! ondblclick "bar" $ "Hello."

Result:

    <div ondblclick="bar">Hello.</div>

onfocus Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onfocus` attribute.

Example:

    div ! onfocus "bar" $ "Hello."

Result:

    <div onfocus="bar">Hello.</div>

onkeydown Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onkeydown` attribute.

Example:

    div ! onkeydown "bar" $ "Hello."

Result:

    <div onkeydown="bar">Hello.</div>

onkeypress Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onkeypress` attribute.

Example:

    div ! onkeypress "bar" $ "Hello."

Result:

    <div onkeypress="bar">Hello.</div>

onkeyup Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onkeyup` attribute.

Example:

    div ! onkeyup "bar" $ "Hello."

Result:

    <div onkeyup="bar">Hello.</div>

onload Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onload` attribute.

Example:

    div ! onload "bar" $ "Hello."

Result:

    <div onload="bar">Hello.</div>

onmousedown Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onmousedown` attribute.

Example:

    div ! onmousedown "bar" $ "Hello."

Result:

    <div onmousedown="bar">Hello.</div>

onmousemove Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onmousemove` attribute.

Example:

    div ! onmousemove "bar" $ "Hello."

Result:

    <div onmousemove="bar">Hello.</div>

onmouseout Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onmouseout` attribute.

Example:

    div ! onmouseout "bar" $ "Hello."

Result:

    <div onmouseout="bar">Hello.</div>

onmouseover Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onmouseover` attribute.

Example:

    div ! onmouseover "bar" $ "Hello."

Result:

    <div onmouseover="bar">Hello.</div>

onmouseup Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onmouseup` attribute.

Example:

    div ! onmouseup "bar" $ "Hello."

Result:

    <div onmouseup="bar">Hello.</div>

onreset Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onreset` attribute.

Example:

    div ! onreset "bar" $ "Hello."

Result:

    <div onreset="bar">Hello.</div>

onselect Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onselect` attribute.

Example:

    div ! onselect "bar" $ "Hello."

Result:

    <div onselect="bar">Hello.</div>

onsubmit Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onsubmit` attribute.

Example:

    div ! onsubmit "bar" $ "Hello."

Result:

    <div onsubmit="bar">Hello.</div>

onunload Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `onunload` attribute.

Example:

    div ! onunload "bar" $ "Hello."

Result:

    <div onunload="bar">Hello.</div>

profile Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `profile` attribute.

Example:

    div ! profile "bar" $ "Hello."

Result:

    <div profile="bar">Hello.</div>

readonly Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `readonly` attribute.

Example:

    div ! readonly "bar" $ "Hello."

Result:

    <div readonly="bar">Hello.</div>

rel Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `rel` attribute.

Example:

    div ! rel "bar" $ "Hello."

Result:

    <div rel="bar">Hello.</div>

rev Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `rev` attribute.

Example:

    div ! rev "bar" $ "Hello."

Result:

    <div rev="bar">Hello.</div>

rows Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `rows` attribute.

Example:

    div ! rows "bar" $ "Hello."

Result:

    <div rows="bar">Hello.</div>

rowspan Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `rowspan` attribute.

Example:

    div ! rowspan "bar" $ "Hello."

Result:

    <div rowspan="bar">Hello.</div>

rules Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `rules` attribute.

Example:

    div ! rules "bar" $ "Hello."

Result:

    <div rules="bar">Hello.</div>

scheme Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `scheme` attribute.

Example:

    div ! scheme "bar" $ "Hello."

Result:

    <div scheme="bar">Hello.</div>

scope Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `scope` attribute.

Example:

    div ! scope "bar" $ "Hello."

Result:

    <div scope="bar">Hello.</div>

selected Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `selected` attribute.

Example:

    div ! selected "bar" $ "Hello."

Result:

    <div selected="bar">Hello.</div>

shape Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `shape` attribute.

Example:

    div ! shape "bar" $ "Hello."

Result:

    <div shape="bar">Hello.</div>

size Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `size` attribute.

Example:

    div ! size "bar" $ "Hello."

Result:

    <div size="bar">Hello.</div>

span Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `span` attribute.

Example:

    div ! span "bar" $ "Hello."

Result:

    <div span="bar">Hello.</div>

src Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `src` attribute.

Example:

    div ! src "bar" $ "Hello."

Result:

    <div src="bar">Hello.</div>

standby Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `standby` attribute.

Example:

    div ! standby "bar" $ "Hello."

Result:

    <div standby="bar">Hello.</div>

start Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `start` attribute.

Example:

    div ! start "bar" $ "Hello."

Result:

    <div start="bar">Hello.</div>

style Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `style` attribute.

Example:

    div ! style "bar" $ "Hello."

Result:

    <div style="bar">Hello.</div>

summary Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `summary` attribute.

Example:

    div ! summary "bar" $ "Hello."

Result:

    <div summary="bar">Hello.</div>

tabindex Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `tabindex` attribute.

Example:

    div ! tabindex "bar" $ "Hello."

Result:

    <div tabindex="bar">Hello.</div>

target Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `target` attribute.

Example:

    div ! target "bar" $ "Hello."

Result:

    <div target="bar">Hello.</div>

title Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `title` attribute.

Example:

    div ! title "bar" $ "Hello."

Result:

    <div title="bar">Hello.</div>

type_ Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `type` attribute.

Example:

    div ! type_ "bar" $ "Hello."

Result:

    <div type="bar">Hello.</div>

usemap Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `usemap` attribute.

Example:

    div ! usemap "bar" $ "Hello."

Result:

    <div usemap="bar">Hello.</div>

valign Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `valign` attribute.

Example:

    div ! valign "bar" $ "Hello."

Result:

    <div valign="bar">Hello.</div>

value Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `value` attribute.

Example:

    div ! value "bar" $ "Hello."

Result:

    <div value="bar">Hello.</div>

valuetype Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `valuetype` attribute.

Example:

    div ! valuetype "bar" $ "Hello."

Result:

    <div valuetype="bar">Hello.</div>

vspace Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `vspace` attribute.

Example:

    div ! vspace "bar" $ "Hello."

Result:

    <div vspace="bar">Hello.</div>

width Source #

Arguments

:: AttributeValue | Attribute value.
-> Attribute | Resulting attribute.

Combinator for the `width` attribute.

Example:

    div ! width "bar" $ "Hello."

Result:

    <div width="bar">Hello.</div>